Issues

The endpoint for Issues, as defined by your team within your Quourum instance.

Retrieve multiple Issues based on search criteria passed as GET Arguments

get/issuemanagement/
Securityapi_key and username
Request
query Parameters
archived
boolean
can_be_tagged_to_events
boolean
can_be_tagged_to_interactions
boolean
creator_id
integer <int64>

The quorumuser with which this project is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
creator__in - The value for the record is in the provided array parameter (comma-separated values).
creator__isnull - The value for the record is null (if true) or is not null.

default
boolean
id
integer <int64>

Quorum ID (Primary Key)

is_grassroots_issue
boolean
is_issue
boolean

NOTE: Parameter accepts additional qualifiers appended to the end:
is_issue__isnull - The value for the record is null (if true) or is not null.

is_limited_to_creator
boolean
name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
name__in - The value for the record is in the provided array parameter (comma-separated values).
name__contains, name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
name__startswith, name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
name__endswith, name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
name__isnull - The value for the record is null (if true) or is not null.

organizations
Array of integers <int64>

The organizations that are associated with this project.

NOTE: Parameter accepts additional qualifiers appended to the end:
organizations__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

owner_id
integer <int64>

The quorumuser with which this project is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
owner__in - The value for the record is in the provided array parameter (comma-separated values).
owner__isnull - The value for the record is null (if true) or is not null.

parent_id
integer <int64>

The project with which this project is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
parent__in - The value for the record is in the provided array parameter (comma-separated values).
parent__isnull - The value for the record is null (if true) or is not null.

participants
Array of integers <int64>

The quorumusers that are associated with this project.

NOTE: Parameter accepts additional qualifiers appended to the end:
participants__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

project_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
project_type__in - The value for the record is in the provided array parameter (comma-separated values).
project_type__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name ProjectType, for an explanation of values.

Enum: 1 2 3
teams
Array of integers <int64>

The teams that are associated with this project.

NOTE: Parameter accepts additional qualifiers appended to the end:
teams__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.action_centers - expand action_centers with additional details.
priority - expand priority with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "action_centers" "priority"
limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

IssueManagement retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "action_centers": [
    ],
  • "amendments": [
    ],
  • "archived": false,
  • "bills": [
    ],
  • "bulksms_messages": [
    ],
  • "can_be_tagged_to_events": true,
  • "can_be_tagged_to_interactions": true,
  • "categories": [
    ],
  • "caucuses": [
    ],
  • "committees": [
    ],
  • "converted": false,
  • "cost": 0,
  • "creator": "/api/user/1/",
  • "creator_edit_only": false,
  • "custom_events": [
    ],
  • "deadline": "2019-08-24T14:15:22Z",
  • "default": false,
  • "documents": [
    ],
  • "due_date": "string",
  • "emails": [
    ],
  • "events": [
    ],
  • "grassroots_order": 0,
  • "grassroots_page_layout_type": 1,
  • "grassroots_vanity_url_slug": "string",
  • "icon": "fa-lightbulb-o",
  • "id": 0,
  • "image_url": "string",
  • "is_carryover": true,
  • "is_grassroots_issue": false,
  • "is_issue": false,
  • "is_limited_to_creator": false,
  • "is_visible_to_partners": false,
  • "issue_expert": "string",
  • "limited_to_teams": [
    ],
  • "long_description": "",
  • "management_statistics": { },
  • "members": [
    ],
  • "name": "string",
  • "number_of_campaign_actions": 0,
  • "number_of_campaigns": 0,
  • "number_of_interactions": 0,
  • "parent": "/api/project/1/",
  • "priority": 2,
  • "project_type": 1,
  • "public_organizations": [
    ],
  • "region_tag": "",
  • "regulations": [
    ],
  • "related_region": "",
  • "remove_with_stance": false,
  • "resource_uri": "string",
  • "search_terms": [
    ],
  • "short_description": "",
  • "shown_in_table": true,
  • "supporters": [
    ],
  • "votes": [
    ],
  • "year": 0
}

Create a single Issues

post/issuemanagement/
Securityapi_key and username
Request
Request Body schema: application/json
object
Responses
200

IssueManagement retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{ }
Response samples
application/json
{
  • "_extra": { },
  • "action_centers": [
    ],
  • "amendments": [
    ],
  • "archived": false,
  • "bills": [
    ],
  • "bulksms_messages": [
    ],
  • "can_be_tagged_to_events": true,
  • "can_be_tagged_to_interactions": true,
  • "categories": [
    ],
  • "caucuses": [
    ],
  • "committees": [
    ],
  • "converted": false,
  • "cost": 0,
  • "creator": "/api/user/1/",
  • "creator_edit_only": false,
  • "custom_events": [
    ],
  • "deadline": "2019-08-24T14:15:22Z",
  • "default": false,
  • "documents": [
    ],
  • "due_date": "string",
  • "emails": [
    ],
  • "events": [
    ],
  • "grassroots_order": 0,
  • "grassroots_page_layout_type": 1,
  • "grassroots_vanity_url_slug": "string",
  • "icon": "fa-lightbulb-o",
  • "id": 0,
  • "image_url": "string",
  • "is_carryover": true,
  • "is_grassroots_issue": false,
  • "is_issue": false,
  • "is_limited_to_creator": false,
  • "is_visible_to_partners": false,
  • "issue_expert": "string",
  • "limited_to_teams": [
    ],
  • "long_description": "",
  • "management_statistics": { },
  • "members": [
    ],
  • "name": "string",
  • "number_of_campaign_actions": 0,
  • "number_of_campaigns": 0,
  • "number_of_interactions": 0,
  • "parent": "/api/project/1/",
  • "priority": 2,
  • "project_type": 1,
  • "public_organizations": [
    ],
  • "region_tag": "",
  • "regulations": [
    ],
  • "related_region": "",
  • "remove_with_stance": false,
  • "resource_uri": "string",
  • "search_terms": [
    ],
  • "short_description": "",
  • "shown_in_table": true,
  • "supporters": [
    ],
  • "votes": [
    ],
  • "year": 0
}

Retrieve information on a single Issue

get/issuemanagement/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.action_centers - expand action_centers with additional details.
priority - expand priority with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "action_centers" "priority"
Responses
200

IssueManagement retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "action_centers": [
    ],
  • "amendments": [
    ],
  • "archived": false,
  • "bills": [
    ],
  • "bulksms_messages": [
    ],
  • "can_be_tagged_to_events": true,
  • "can_be_tagged_to_interactions": true,
  • "categories": [
    ],
  • "caucuses": [
    ],
  • "committees": [
    ],
  • "converted": false,
  • "cost": 0,
  • "creator": "/api/user/1/",
  • "creator_edit_only": false,
  • "custom_events": [
    ],
  • "deadline": "2019-08-24T14:15:22Z",
  • "default": false,
  • "documents": [
    ],
  • "due_date": "string",
  • "emails": [
    ],
  • "events": [
    ],
  • "grassroots_order": 0,
  • "grassroots_page_layout_type": 1,
  • "grassroots_vanity_url_slug": "string",
  • "icon": "fa-lightbulb-o",
  • "id": 0,
  • "image_url": "string",
  • "is_carryover": true,
  • "is_grassroots_issue": false,
  • "is_issue": false,
  • "is_limited_to_creator": false,
  • "is_visible_to_partners": false,
  • "issue_expert": "string",
  • "limited_to_teams": [
    ],
  • "long_description": "",
  • "management_statistics": { },
  • "members": [
    ],
  • "name": "string",
  • "number_of_campaign_actions": 0,
  • "number_of_campaigns": 0,
  • "number_of_interactions": 0,
  • "parent": "/api/project/1/",
  • "priority": 2,
  • "project_type": 1,
  • "public_organizations": [
    ],
  • "region_tag": "",
  • "regulations": [
    ],
  • "related_region": "",
  • "remove_with_stance": false,
  • "resource_uri": "string",
  • "search_terms": [
    ],
  • "short_description": "",
  • "shown_in_table": true,
  • "supporters": [
    ],
  • "votes": [
    ],
  • "year": 0
}

Update a single Issues by ID

patch/issuemanagement/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
object
Responses
200

IssueManagement retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{ }
Response samples
application/json
{
  • "_extra": { },
  • "action_centers": [
    ],
  • "amendments": [
    ],
  • "archived": false,
  • "bills": [
    ],
  • "bulksms_messages": [
    ],
  • "can_be_tagged_to_events": true,
  • "can_be_tagged_to_interactions": true,
  • "categories": [
    ],
  • "caucuses": [
    ],
  • "committees": [
    ],
  • "converted": false,
  • "cost": 0,
  • "creator": "/api/user/1/",
  • "creator_edit_only": false,
  • "custom_events": [
    ],
  • "deadline": "2019-08-24T14:15:22Z",
  • "default": false,
  • "documents": [
    ],
  • "due_date": "string",
  • "emails": [
    ],
  • "events": [
    ],
  • "grassroots_order": 0,
  • "grassroots_page_layout_type": 1,
  • "grassroots_vanity_url_slug": "string",
  • "icon": "fa-lightbulb-o",
  • "id": 0,
  • "image_url": "string",
  • "is_carryover": true,
  • "is_grassroots_issue": false,
  • "is_issue": false,
  • "is_limited_to_creator": false,
  • "is_visible_to_partners": false,
  • "issue_expert": "string",
  • "limited_to_teams": [
    ],
  • "long_description": "",
  • "management_statistics": { },
  • "members": [
    ],
  • "name": "string",
  • "number_of_campaign_actions": 0,
  • "number_of_campaigns": 0,
  • "number_of_interactions": 0,
  • "parent": "/api/project/1/",
  • "priority": 2,
  • "project_type": 1,
  • "public_organizations": [
    ],
  • "region_tag": "",
  • "regulations": [
    ],
  • "related_region": "",
  • "remove_with_stance": false,
  • "resource_uri": "string",
  • "search_terms": [
    ],
  • "short_description": "",
  • "shown_in_table": true,
  • "supporters": [
    ],
  • "votes": [
    ],
  • "year": 0
}